Subject: bug#72240: closed (Re: bug#72240: The commit 17e26cf57e1 broke font-locking in maxima-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Oct 2024 01:17:02 +0000

Your bug report

#72240: The commit 17e26cf57e1 broke font-locking in maxima-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72240: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72240
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72240: The commit 17e26cf57e1 broke font-locking in maxima-mode
From: Stefan Kangas <[email-masked]>
To: Eduardo Ochs <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Fri, 4 Oct 2024 18:15:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> tags 72240 + notabug
> thanks
>
> Eduardo Ochs <[email-masked]> writes:
>
>> there are two Maxima modes around - one in Melpa and one in Maxima
>> itself. They have different bugs, and lots of people, including me,
>> prefer the Maxima mode that comes with Maxima. This bug report is
>> about a change in Emacs that broke the font-locking in the Maxima mode
>> that comes with Maxima - I didn't test the other Maxima mode.
>>
>> Something happened between these two commits:
>>
>> 3f7e26e2bed 2024-04-13 10:10:19 (define-globalized-minor-mode): Fix bug#58888
>> 17e26cf57e1 2024-04-13 10:31:28 (define-globalized-minor-mode):
>> Require the use of `run-mode-hooks`
>>
>> Until 3f7e26e2bed font-locking in .mac files worked, but from
>> 17e26cf57e1 onwards it doesn't work anymore. In the current Emacs from
>> git - where "current" means 2024jul21 - it doesn't work.
>
> This should be reported to the maxima.el developers, I think.
>
> They should change `maxima-mode' to use `run-mode-hooks' instead of
> `run-hooks'. This is documented in etc/NEWS:
>
>> ** 'define-globalized-minor-mode' requires that modes use 'run-mode-hooks'.
>> Minor modes defined with 'define-globalized-minor-mode', such as
>> 'global-font-lock-mode', will not be enabled any more in those buffers
>> whose major modes fail to use 'run-mode-hooks'.  Major modes defined
>> with 'define-derived-mode' are not affected.  'run-mode-hooks' has been the
>> recommended way to run major mode hooks since Emacs 22.

No further comments within 2 months, so I'm closing this bug.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Subject: The commit 17e26cf57e1 broke font-locking in maxima-mode
From: Eduardo Ochs <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2024 00:05:50 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

there are two Maxima modes around - one in Melpa and one in Maxima
itself. They have different bugs, and lots of people, including me,
prefer the Maxima mode that comes with Maxima. This bug report is
about a change in Emacs that broke the font-locking in the Maxima mode
that comes with Maxima - I didn't test the other Maxima mode.

Something happened between these two commits:

3f7e26e2bed 2024-04-13 10:10:19 (define-globalized-minor-mode): Fix bug#58888
17e26cf57e1 2024-04-13 10:31:28 (define-globalized-minor-mode):
Require the use of `run-mode-hooks`

Until 3f7e26e2bed font-locking in .mac files worked, but from
17e26cf57e1 onwards it doesn't work anymore. In the current Emacs from
git - where "current" means 2024jul21 - it doesn't work.

Note that 3f7e26e2bed is 17e26cf57e1~1.
I'm on Debian 11 ("oldstable").

Here's how to test it.

--snip--snip--
rm -Rv /tmp/test-maxima-mode/
mkdir  /tmp/test-maxima-mode/
cd     /tmp/test-maxima-mode/

wget -O maxima.el \
  "https://sourceforge.net/p/maxima/code/ci/master/tree/interfaces/emacs/emaxima/maxima.el?format=raw"
wget -O maxima-font-lock.el \
  "https://sourceforge.net/p/maxima/code/ci/master/tree/interfaces/emacs/emaxima/maxima-font-lock.el?format=raw"

cat > test.mac <<'%%%'
max(2, 4);
min(2, 4);
q(t)   := max(0, t-2);
r(t)   := min(q(t), 2);
S(x,y) := max(r(x), r(y));
plot2d (r(t), [t, 0, 6]);
plot3d (S(x,y), [x, 0, 6], [y, 0, 6]);
%%%

cat > test.el <<'%%%'
(progn
  (load "/tmp/test-maxima-mode/maxima-font-lock.el")
  (load "/tmp/test-maxima-mode/maxima.el")
  (add-to-list 'auto-mode-alist '("\\.mac$"  . maxima-mode))
  (find-file "/tmp/test-maxima-mode/test.mac")
  )
%%%

emacs -Q test.el
--snip--snip--

  Cheers,
    Eduardo Ochs
    http://anggtwu.net/#eev